E-Invoice & E-WayBills

Get Transporter Details

This API is used to get details of a transporter using the Transporter ID (TRANSIN).

URL

GET https://cloud.octagst.com/api/octa/einvoice/gettransin?gstin={value}&transin={value}

Query Parameters

NameDescriptionType
gstinIt specifies GSTIN of sellerMandatory
transinIt specifies Transporter ID (TRANSIN) whose details to be fetchedMandatory

Success Response

Response payload will contain the success status along with transporter information.

{
  "Success": true,
  "transin": "88AAACD8017H1ZX",
  "tradeName": "DTDC EXPRESS LIMITED",
  "legalName": "",
  "address1": "188/1Next to Bakia Mahal Mettupalayam Signal",
  "address2": "Vazhudavur RoadMuthirapalayam",
  "stateCode": "88",
  "pinCode": "605009"
}
FieldDescription
transinTransporter ID
tradeNameTrade name of the transporter
legalNameLegal name of the transporter (may be empty)
address1First line of the transporter address
address2Second line of the transporter address
stateCodeState code of the transporter
pinCodePIN code of the transporter

Failure Response

If API request fails for some reason, response payload will contain the failure status and a list of errors.

{
  "Success": false,
  "Errors": [
    {
      "Code": "ERR_CODE_1",
      "Message": "ERR MESSAGE 1"
    },
    {
      "Code": "ERR_CODE_n",
      "Message": "ERR MESSAGE n"
    }
  ]
}